Subject: Re: Thousands of large PI customers [Re: [RAM] Incremental Deployment of LISP]

From: [email-masked] (Noel Chiappa)
Date: Mon, 2 Apr 2007 10:19:15 -0400 (EDT)

> From: Yakov Rekhter <[email-masked]>

    >>> What is the difference between (a) using LISP between two PI sites
    >>> over some piece of ISP locator space and (b) a PPVPN between those
    >>> two sites

    >> If those two sites are only talking to each other, then at a high level
    >> .. not much. ... LISP is supposed to allow those two sites to talk,
    >> not just to each other, but to the rest of the network - something you
    >> couldn't accomplish with PPVPN's without N^2 of them.

    > "N^2 of them". What are these "N^2" ?

I was assuming the common case of PPVPN's where the interface seen by the
customers is some sort of Layer-2 point-point link - e.g. ATM/MPLS. Then, if
you have N sites, which all wanted to be able to talk amongst each other,
you'd need N^2 connections - unless you wanted to accept the extra delay/etc
of multi-hop paths, plus you'd need to run some sort of routing protocol.

Sure, there are other kinds of PPVPN, but in all of them, the keyword in that
acronym "PPVPN" is still "Private" - i.e. talking to a limited set of other
entities. LISP is intended for use by a large, non-homogenous set of entities
- and that's what I was trying to point out as being the key difference
between the two cases Brian listed (in addition to the specific point about
point-point PPVPN's).

	Noel

_______________________________________________
RAM mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ram

---

From: Yakov Rekhter <[email-masked]>
Date: Mon, 02 Apr 2007 07:27:26 -0700

Noel,

> of multi-hop paths, plus you'd need to run some sort of routing protocol.

Without going into a discussion on what is "the common case of
PPVPNs", let me just point out that 2547 VPNs do *not* require
"N^2 connections" (for more details see rfc4364).

> between the two cases Brian listed (in addition to the specific point about

Let me point out that some service providers implement the Internet
service as a 2547 VPN.

Yakov.

---

From: "Gunter Van de Velde \(gvandeve\)" <[email-masked]>
Date: Mon, 2 Apr 2007 16:31:46 +0200

<>
<>

Do they put all Internet routes in the 2547 VPN?

G/

-----Original Message-----
From: Yakov Rekhter [mailto:[email-masked]] 
Sent: Monday, April 02, 2007 4:27 PM
To: Noel Chiappa
Cc: [email-masked]
Subject: Re: Thousands of large PI customers [Re: [RAM] Incremental
Deploymentof LISP] 

Noel,

>     >> If those two sites are only talking to each other, then at a 
> high leve
l
> I was assuming the common case of PPVPN's where the interface seen by 
> the customers is some sort of Layer-2 point-point link - e.g. 
> ATM/MPLS. Then, if you have N sites, which all wanted to be able to 
> talk amongst each other, you'd need N^2 connections - unless you 
> wanted to accept the extra delay/etc of multi-hop paths, plus you'd
need to run some sort of routing protocol.

Without going into a discussion on what is "the common case of PPVPNs",
let me just point out that 2547 VPNs do *not* require
"N^2 connections" (for more details see rfc4364).

> Sure, there are other kinds of PPVPN, but in all of them, the keyword 
> in that acronym "PPVPN" is still "Private" - i.e. talking to a limited

> set of other entities. LISP is intended for use by a large, 
> non-homogenous set of entities
> - and that's what I was trying to point out as being the key 
> difference between the two cases Brian listed (in addition to the 
> specific point about point-point PPVPN's).

Yakov.